#ifndef PROP_DLG_DIRECTORY_H
#define PROP_DLG_DIRECTORY_H

#include <gtk/gtk.h>
#include "edv_types.h"
#include "libendeavour2-base/edv_vfs_obj.h"
#include "libendeavour2-base/edv_recycled_obj.h"
#include "prop_dlg.h"


extern gboolean EDVPropertiesDirectoryPageCheckSupportCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list
);
extern gpointer EDVPropertiesDirectoryPageCreateCB(
	EDVPropertiesDialog *d,
	GtkWidget *parent
);
extern void EDVPropertiesDirectoryPageUpdateCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list,
	const int error_code,
	gpointer data
);
extern void EDVPropertiesDirectoryPagePageSwitchedCB(
        EDVPropertiesDialog *d,
        const gboolean to,
        gpointer data
);
extern gboolean EDVPropertiesDirectoryPageApplyVFSCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	GList *properties_list,
	gpointer data
);
extern gboolean EDVPropertiesDirectoryPageApplyRecBinCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	GList *properties_list,
	gpointer data
);
extern void EDVPropertiesDirectoryPageDestroyCB(gpointer data);


#endif	/* PROP_DLG_DIRECTORY_H */
